Package org.apache.xmlbeans.impl.xb.xsdschema

## Interface RestrictionDocument.Restriction

- All Superinterfaces:
    `Annotated`, `OpenAttrs`, `XmlObject`, `XmlTokenSource`
  All Known Implementing Classes:
    `RestrictionDocumentImpl.RestrictionImpl`
  Enclosing interface:
    RestrictionDocument

      public static interface RestrictionDocument.Restriction
      extends Annotated

  An XML restriction(@http://www.w3.org/2001/XMLSchema). This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ElementFactory<RestrictionDocument.Restriction>` | `Factory` |
    `static SchemaType` | `type` |

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `NoFixedFacet` | `addNewEnumeration()` | Appends and returns a new empty value (as xml) as the last "enumeration" element
    `NumFacet` | `addNewFractionDigits()` | Appends and returns a new empty value (as xml) as the last "fractionDigits" element
    `NumFacet` | `addNewLength()` | Appends and returns a new empty value (as xml) as the last "length" element
    `Facet` | `addNewMaxExclusive()` | Appends and returns a new empty value (as xml) as the last "maxExclusive" element
    `Facet` | `addNewMaxInclusive()` | Appends and returns a new empty value (as xml) as the last "maxInclusive" element
    `NumFacet` | `addNewMaxLength()` | Appends and returns a new empty value (as xml) as the last "maxLength" element
    `Facet` | `addNewMinExclusive()` | Appends and returns a new empty value (as xml) as the last "minExclusive" element
    `Facet` | `addNewMinInclusive()` | Appends and returns a new empty value (as xml) as the last "minInclusive" element
    `NumFacet` | `addNewMinLength()` | Appends and returns a new empty value (as xml) as the last "minLength" element
    `PatternDocument.Pattern` | `addNewPattern()` | Appends and returns a new empty value (as xml) as the last "pattern" element
    `LocalSimpleType` | `addNewSimpleType()` | Appends and returns a new empty "simpleType" element
    `TotalDigitsDocument.TotalDigits` | `addNewTotalDigits()` | Appends and returns a new empty value (as xml) as the last "totalDigits" element
    `WhiteSpaceDocument.WhiteSpace` | `addNewWhiteSpace()` | Appends and returns a new empty value (as xml) as the last "whiteSpace" element
    `QName` | `getBase()` | Gets the "base" attribute
    `NoFixedFacet[]` | `getEnumerationArray()` | Gets array of all "enumeration" elements
    `NoFixedFacet` | `getEnumerationArray​(int i)` | Gets ith "enumeration" element
    `List<NoFixedFacet>` | `getEnumerationList()` | Gets a List of "enumeration" elements
    `NumFacet[]` | `getFractionDigitsArray()` | Gets array of all "fractionDigits" elements
    `NumFacet` | `getFractionDigitsArray​(int i)` | Gets ith "fractionDigits" element
    `List<NumFacet>` | `getFractionDigitsList()` | Gets a List of "fractionDigits" elements
    `NumFacet[]` | `getLengthArray()` | Gets array of all "length" elements
    `NumFacet` | `getLengthArray​(int i)` | Gets ith "length" element
    `List<NumFacet>` | `getLengthList()` | Gets a List of "length" elements
    `Facet[]` | `getMaxExclusiveArray()` | Gets array of all "maxExclusive" elements
    `Facet` | `getMaxExclusiveArray​(int i)` | Gets ith "maxExclusive" element
    `List<Facet>` | `getMaxExclusiveList()` | Gets a List of "maxExclusive" elements
    `Facet[]` | `getMaxInclusiveArray()` | Gets array of all "maxInclusive" elements
    `Facet` | `getMaxInclusiveArray​(int i)` | Gets ith "maxInclusive" element
    `List<Facet>` | `getMaxInclusiveList()` | Gets a List of "maxInclusive" elements
    `NumFacet[]` | `getMaxLengthArray()` | Gets array of all "maxLength" elements
    `NumFacet` | `getMaxLengthArray​(int i)` | Gets ith "maxLength" element
    `List<NumFacet>` | `getMaxLengthList()` | Gets a List of "maxLength" elements
    `Facet[]` | `getMinExclusiveArray()` | Gets array of all "minExclusive" elements
    `Facet` | `getMinExclusiveArray​(int i)` | Gets ith "minExclusive" element
    `List<Facet>` | `getMinExclusiveList()` | Gets a List of "minExclusive" elements
    `Facet[]` | `getMinInclusiveArray()` | Gets array of all "minInclusive" elements
    `Facet` | `getMinInclusiveArray​(int i)` | Gets ith "minInclusive" element
    `List<Facet>` | `getMinInclusiveList()` | Gets a List of "minInclusive" elements
    `NumFacet[]` | `getMinLengthArray()` | Gets array of all "minLength" elements
    `NumFacet` | `getMinLengthArray​(int i)` | Gets ith "minLength" element
    `List<NumFacet>` | `getMinLengthList()` | Gets a List of "minLength" elements
    `PatternDocument.Pattern[]` | `getPatternArray()` | Gets array of all "pattern" elements
    `PatternDocument.Pattern` | `getPatternArray​(int i)` | Gets ith "pattern" element
    `List<PatternDocument.Pattern>` | `getPatternList()` | Gets a List of "pattern" elements
    `LocalSimpleType` | `getSimpleType()` | Gets the "simpleType" element
    `TotalDigitsDocument.TotalDigits[]` | `getTotalDigitsArray()` | Gets array of all "totalDigits" elements
    `TotalDigitsDocument.TotalDigits` | `getTotalDigitsArray​(int i)` | Gets ith "totalDigits" element
    `List<TotalDigitsDocument.TotalDigits>` | `getTotalDigitsList()` | Gets a List of "totalDigits" elements
    `WhiteSpaceDocument.WhiteSpace[]` | `getWhiteSpaceArray()` | Gets array of all "whiteSpace" elements
    `WhiteSpaceDocument.WhiteSpace` | `getWhiteSpaceArray​(int i)` | Gets ith "whiteSpace" element
    `List<WhiteSpaceDocument.WhiteSpace>` | `getWhiteSpaceList()` | Gets a List of "whiteSpace" elements
    `NoFixedFacet` | `insertNewEnumeration​(int i)` | Inserts and returns a new empty value (as xml) as the ith "enumeration" element
    `NumFacet` | `insertNewFractionDigits​(int i)` | Inserts and returns a new empty value (as xml) as the ith "fractionDigits" element
    `NumFacet` | `insertNewLength​(int i)` | Inserts and returns a new empty value (as xml) as the ith "length" element
    `Facet` | `insertNewMaxExclusive​(int i)` | Inserts and returns a new empty value (as xml) as the ith "maxExclusive" element
    `Facet` | `insertNewMaxInclusive​(int i)` | Inserts and returns a new empty value (as xml) as the ith "maxInclusive" element
    `NumFacet` | `insertNewMaxLength​(int i)` | Inserts and returns a new empty value (as xml) as the ith "maxLength" element
    `Facet` | `insertNewMinExclusive​(int i)` | Inserts and returns a new empty value (as xml) as the ith "minExclusive" element
    `Facet` | `insertNewMinInclusive​(int i)` | Inserts and returns a new empty value (as xml) as the ith "minInclusive" element
    `NumFacet` | `insertNewMinLength​(int i)` | Inserts and returns a new empty value (as xml) as the ith "minLength" element
    `PatternDocument.Pattern` | `insertNewPattern​(int i)` | Inserts and returns a new empty value (as xml) as the ith "pattern" element
    `TotalDigitsDocument.TotalDigits` | `insertNewTotalDigits​(int i)` | Inserts and returns a new empty value (as xml) as the ith "totalDigits" element
    `WhiteSpaceDocument.WhiteSpace` | `insertNewWhiteSpace​(int i)` | Inserts and returns a new empty value (as xml) as the ith "whiteSpace" element
    `boolean` | `isSetBase()` | True if has "base" attribute
    `boolean` | `isSetSimpleType()` | True if has "simpleType" element
    `void` | `removeEnumeration​(int i)` | Removes the ith "enumeration" element
    `void` | `removeFractionDigits​(int i)` | Removes the ith "fractionDigits" element
    `void` | `removeLength​(int i)` | Removes the ith "length" element
    `void` | `removeMaxExclusive​(int i)` | Removes the ith "maxExclusive" element
    `void` | `removeMaxInclusive​(int i)` | Removes the ith "maxInclusive" element
    `void` | `removeMaxLength​(int i)` | Removes the ith "maxLength" element
    `void` | `removeMinExclusive​(int i)` | Removes the ith "minExclusive" element
    `void` | `removeMinInclusive​(int i)` | Removes the ith "minInclusive" element
    `void` | `removeMinLength​(int i)` | Removes the ith "minLength" element
    `void` | `removePattern​(int i)` | Removes the ith "pattern" element
    `void` | `removeTotalDigits​(int i)` | Removes the ith "totalDigits" element
    `void` | `removeWhiteSpace​(int i)` | Removes the ith "whiteSpace" element
    `void` | `setBase​(QName base)` | Sets the "base" attribute
    `void` | `setEnumerationArray​(int i, NoFixedFacet enumeration)` | Sets ith "enumeration" element
    `void` | `setEnumerationArray​(NoFixedFacet[] enumerationArray)` | Sets array of all "enumeration" element
    `void` | `setFractionDigitsArray​(int i, NumFacet fractionDigits)` | Sets ith "fractionDigits" element
    `void` | `setFractionDigitsArray​(NumFacet[] fractionDigitsArray)` | Sets array of all "fractionDigits" element
    `void` | `setLengthArray​(int i, NumFacet length)` | Sets ith "length" element
    `void` | `setLengthArray​(NumFacet[] lengthArray)` | Sets array of all "length" element
    `void` | `setMaxExclusiveArray​(int i, Facet maxExclusive)` | Sets ith "maxExclusive" element
    `void` | `setMaxExclusiveArray​(Facet[] maxExclusiveArray)` | Sets array of all "maxExclusive" element
    `void` | `setMaxInclusiveArray​(int i, Facet maxInclusive)` | Sets ith "maxInclusive" element
    `void` | `setMaxInclusiveArray​(Facet[] maxInclusiveArray)` | Sets array of all "maxInclusive" element
    `void` | `setMaxLengthArray​(int i, NumFacet maxLength)` | Sets ith "maxLength" element
    `void` | `setMaxLengthArray​(NumFacet[] maxLengthArray)` | Sets array of all "maxLength" element
    `void` | `setMinExclusiveArray​(int i, Facet minExclusive)` | Sets ith "minExclusive" element
    `void` | `setMinExclusiveArray​(Facet[] minExclusiveArray)` | Sets array of all "minExclusive" element
    `void` | `setMinInclusiveArray​(int i, Facet minInclusive)` | Sets ith "minInclusive" element
    `void` | `setMinInclusiveArray​(Facet[] minInclusiveArray)` | Sets array of all "minInclusive" element
    `void` | `setMinLengthArray​(int i, NumFacet minLength)` | Sets ith "minLength" element
    `void` | `setMinLengthArray​(NumFacet[] minLengthArray)` | Sets array of all "minLength" element
    `void` | `setPatternArray​(int i, PatternDocument.Pattern pattern)` | Sets ith "pattern" element
    `void` | `setPatternArray​(PatternDocument.Pattern[] patternArray)` | Sets array of all "pattern" element
    `void` | `setSimpleType​(LocalSimpleType simpleType)` | Sets the "simpleType" element
    `void` | `setTotalDigitsArray​(int i, TotalDigitsDocument.TotalDigits totalDigits)` | Sets ith "totalDigits" element
    `void` | `setTotalDigitsArray​(TotalDigitsDocument.TotalDigits[] totalDigitsArray)` | Sets array of all "totalDigits" element
    `void` | `setWhiteSpaceArray​(int i, WhiteSpaceDocument.WhiteSpace whiteSpace)` | Sets ith "whiteSpace" element
    `void` | `setWhiteSpaceArray​(WhiteSpaceDocument.WhiteSpace[] whiteSpaceArray)` | Sets array of all "whiteSpace" element
    `int` | `sizeOfEnumerationArray()` | Returns number of "enumeration" element
    `int` | `sizeOfFractionDigitsArray()` | Returns number of "fractionDigits" element
    `int` | `sizeOfLengthArray()` | Returns number of "length" element
    `int` | `sizeOfMaxExclusiveArray()` | Returns number of "maxExclusive" element
    `int` | `sizeOfMaxInclusiveArray()` | Returns number of "maxInclusive" element
    `int` | `sizeOfMaxLengthArray()` | Returns number of "maxLength" element
    `int` | `sizeOfMinExclusiveArray()` | Returns number of "minExclusive" element
    `int` | `sizeOfMinInclusiveArray()` | Returns number of "minInclusive" element
    `int` | `sizeOfMinLengthArray()` | Returns number of "minLength" element
    `int` | `sizeOfPatternArray()` | Returns number of "pattern" element
    `int` | `sizeOfTotalDigitsArray()` | Returns number of "totalDigits" element
    `int` | `sizeOfWhiteSpaceArray()` | Returns number of "whiteSpace" element
    `void` | `unsetBase()` | Unsets the "base" attribute
    `void` | `unsetSimpleType()` | Unsets the "simpleType" element
    `XmlQName` | `xgetBase()` | Gets (as xml) the "base" attribute
    `void` | `xsetBase​(XmlQName base)` | Sets (as xml) the "base" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final ElementFactory<RestrictionDocument.Restriction> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getSimpleType

          LocalSimpleType getSimpleType()

      Gets the "simpleType" element

    - #### isSetSimpleType

          boolean isSetSimpleType()

      True if has "simpleType" element

    - #### setSimpleType

          void setSimpleType​(LocalSimpleType simpleType)

      Sets the "simpleType" element

    - #### addNewSimpleType

          LocalSimpleType addNewSimpleType()

      Appends and returns a new empty "simpleType" element

    - #### unsetSimpleType

          void unsetSimpleType()

      Unsets the "simpleType" element

    - #### getMinExclusiveList

          List<Facet> getMinExclusiveList()

      Gets a List of "minExclusive" elements

    - #### getMinExclusiveArray

          Facet[] getMinExclusiveArray()

      Gets array of all "minExclusive" elements

    - #### getMinExclusiveArray

          Facet getMinExclusiveArray​(int i)

      Gets ith "minExclusive" element

    - #### sizeOfMinExclusiveArray

          int sizeOfMinExclusiveArray()

      Returns number of "minExclusive" element

    - #### setMinExclusiveArray

          void setMinExclusiveArray​(Facet[] minExclusiveArray)

      Sets array of all "minExclusive" element

    - #### setMinExclusiveArray

          void setMinExclusiveArray​(int i,
                                    Facet minExclusive)

      Sets ith "minExclusive" element

    - #### insertNewMinExclusive

          Facet insertNewMinExclusive​(int i)

      Inserts and returns a new empty value (as xml) as the ith "minExclusive" element

    - #### addNewMinExclusive

          Facet addNewMinExclusive()

      Appends and returns a new empty value (as xml) as the last "minExclusive" element

    - #### removeMinExclusive

          void removeMinExclusive​(int i)

      Removes the ith "minExclusive" element

    - #### getMinInclusiveList

          List<Facet> getMinInclusiveList()

      Gets a List of "minInclusive" elements

    - #### getMinInclusiveArray

          Facet[] getMinInclusiveArray()

      Gets array of all "minInclusive" elements

    - #### getMinInclusiveArray

          Facet getMinInclusiveArray​(int i)

      Gets ith "minInclusive" element

    - #### sizeOfMinInclusiveArray

          int sizeOfMinInclusiveArray()

      Returns number of "minInclusive" element

    - #### setMinInclusiveArray

          void setMinInclusiveArray​(Facet[] minInclusiveArray)

      Sets array of all "minInclusive" element

    - #### setMinInclusiveArray

          void setMinInclusiveArray​(int i,
                                    Facet minInclusive)

      Sets ith "minInclusive" element

    - #### insertNewMinInclusive

          Facet insertNewMinInclusive​(int i)

      Inserts and returns a new empty value (as xml) as the ith "minInclusive" element

    - #### addNewMinInclusive

          Facet addNewMinInclusive()

      Appends and returns a new empty value (as xml) as the last "minInclusive" element

    - #### removeMinInclusive

          void removeMinInclusive​(int i)

      Removes the ith "minInclusive" element

    - #### getMaxExclusiveList

          List<Facet> getMaxExclusiveList()

      Gets a List of "maxExclusive" elements

    - #### getMaxExclusiveArray

          Facet[] getMaxExclusiveArray()

      Gets array of all "maxExclusive" elements

    - #### getMaxExclusiveArray

          Facet getMaxExclusiveArray​(int i)

      Gets ith "maxExclusive" element

    - #### sizeOfMaxExclusiveArray

          int sizeOfMaxExclusiveArray()

      Returns number of "maxExclusive" element

    - #### setMaxExclusiveArray

          void setMaxExclusiveArray​(Facet[] maxExclusiveArray)

      Sets array of all "maxExclusive" element

    - #### setMaxExclusiveArray

          void setMaxExclusiveArray​(int i,
                                    Facet maxExclusive)

      Sets ith "maxExclusive" element

    - #### insertNewMaxExclusive

          Facet insertNewMaxExclusive​(int i)

      Inserts and returns a new empty value (as xml) as the ith "maxExclusive" element

    - #### addNewMaxExclusive

          Facet addNewMaxExclusive()

      Appends and returns a new empty value (as xml) as the last "maxExclusive" element

    - #### removeMaxExclusive

          void removeMaxExclusive​(int i)

      Removes the ith "maxExclusive" element

    - #### getMaxInclusiveList

          List<Facet> getMaxInclusiveList()

      Gets a List of "maxInclusive" elements

    - #### getMaxInclusiveArray

          Facet[] getMaxInclusiveArray()

      Gets array of all "maxInclusive" elements

    - #### getMaxInclusiveArray

          Facet getMaxInclusiveArray​(int i)

      Gets ith "maxInclusive" element

    - #### sizeOfMaxInclusiveArray

          int sizeOfMaxInclusiveArray()

      Returns number of "maxInclusive" element

    - #### setMaxInclusiveArray

          void setMaxInclusiveArray​(Facet[] maxInclusiveArray)

      Sets array of all "maxInclusive" element

    - #### setMaxInclusiveArray

          void setMaxInclusiveArray​(int i,
                                    Facet maxInclusive)

      Sets ith "maxInclusive" element

    - #### insertNewMaxInclusive

          Facet insertNewMaxInclusive​(int i)

      Inserts and returns a new empty value (as xml) as the ith "maxInclusive" element

    - #### addNewMaxInclusive

          Facet addNewMaxInclusive()

      Appends and returns a new empty value (as xml) as the last "maxInclusive" element

    - #### removeMaxInclusive

          void removeMaxInclusive​(int i)

      Removes the ith "maxInclusive" element

    - #### getTotalDigitsList

          List<TotalDigitsDocument.TotalDigits> getTotalDigitsList()

      Gets a List of "totalDigits" elements

    - #### getTotalDigitsArray

          TotalDigitsDocument.TotalDigits[] getTotalDigitsArray()

      Gets array of all "totalDigits" elements

    - #### getTotalDigitsArray

          TotalDigitsDocument.TotalDigits getTotalDigitsArray​(int i)

      Gets ith "totalDigits" element

    - #### sizeOfTotalDigitsArray

          int sizeOfTotalDigitsArray()

      Returns number of "totalDigits" element

    - #### setTotalDigitsArray

          void setTotalDigitsArray​(TotalDigitsDocument.TotalDigits[] totalDigitsArray)

      Sets array of all "totalDigits" element

    - #### setTotalDigitsArray

          void setTotalDigitsArray​(int i,
                                   TotalDigitsDocument.TotalDigits totalDigits)

      Sets ith "totalDigits" element

    - #### insertNewTotalDigits

          TotalDigitsDocument.TotalDigits insertNewTotalDigits​(int i)

      Inserts and returns a new empty value (as xml) as the ith "totalDigits" element

    - #### addNewTotalDigits

          TotalDigitsDocument.TotalDigits addNewTotalDigits()

      Appends and returns a new empty value (as xml) as the last "totalDigits" element

    - #### removeTotalDigits

          void removeTotalDigits​(int i)

      Removes the ith "totalDigits" element

    - #### getFractionDigitsList

          List<NumFacet> getFractionDigitsList()

      Gets a List of "fractionDigits" elements

    - #### getFractionDigitsArray

          NumFacet[] getFractionDigitsArray()

      Gets array of all "fractionDigits" elements

    - #### getFractionDigitsArray

          NumFacet getFractionDigitsArray​(int i)

      Gets ith "fractionDigits" element

    - #### sizeOfFractionDigitsArray

          int sizeOfFractionDigitsArray()

      Returns number of "fractionDigits" element

    - #### setFractionDigitsArray

          void setFractionDigitsArray​(NumFacet[] fractionDigitsArray)

      Sets array of all "fractionDigits" element

    - #### setFractionDigitsArray

          void setFractionDigitsArray​(int i,
                                      NumFacet fractionDigits)

      Sets ith "fractionDigits" element

    - #### insertNewFractionDigits

          NumFacet insertNewFractionDigits​(int i)

      Inserts and returns a new empty value (as xml) as the ith "fractionDigits" element

    - #### addNewFractionDigits

          NumFacet addNewFractionDigits()

      Appends and returns a new empty value (as xml) as the last "fractionDigits" element

    - #### removeFractionDigits

          void removeFractionDigits​(int i)

      Removes the ith "fractionDigits" element

    - #### getLengthList

          List<NumFacet> getLengthList()

      Gets a List of "length" elements

    - #### getLengthArray

          NumFacet[] getLengthArray()

      Gets array of all "length" elements

    - #### getLengthArray

          NumFacet getLengthArray​(int i)

      Gets ith "length" element

    - #### sizeOfLengthArray

          int sizeOfLengthArray()

      Returns number of "length" element

    - #### setLengthArray

          void setLengthArray​(NumFacet[] lengthArray)

      Sets array of all "length" element

    - #### setLengthArray

          void setLengthArray​(int i,
                              NumFacet length)

      Sets ith "length" element

    - #### insertNewLength

          NumFacet insertNewLength​(int i)

      Inserts and returns a new empty value (as xml) as the ith "length" element

    - #### addNewLength

          NumFacet addNewLength()

      Appends and returns a new empty value (as xml) as the last "length" element

    - #### removeLength

          void removeLength​(int i)

      Removes the ith "length" element

    - #### getMinLengthList

          List<NumFacet> getMinLengthList()

      Gets a List of "minLength" elements

    - #### getMinLengthArray

          NumFacet[] getMinLengthArray()

      Gets array of all "minLength" elements

    - #### getMinLengthArray

          NumFacet getMinLengthArray​(int i)

      Gets ith "minLength" element

    - #### sizeOfMinLengthArray

          int sizeOfMinLengthArray()

      Returns number of "minLength" element

    - #### setMinLengthArray

          void setMinLengthArray​(NumFacet[] minLengthArray)

      Sets array of all "minLength" element

    - #### setMinLengthArray

          void setMinLengthArray​(int i,
                                 NumFacet minLength)

      Sets ith "minLength" element

    - #### insertNewMinLength

          NumFacet insertNewMinLength​(int i)

      Inserts and returns a new empty value (as xml) as the ith "minLength" element

    - #### addNewMinLength

          NumFacet addNewMinLength()

      Appends and returns a new empty value (as xml) as the last "minLength" element

    - #### removeMinLength

          void removeMinLength​(int i)

      Removes the ith "minLength" element

    - #### getMaxLengthList

          List<NumFacet> getMaxLengthList()

      Gets a List of "maxLength" elements

    - #### getMaxLengthArray

          NumFacet[] getMaxLengthArray()

      Gets array of all "maxLength" elements

    - #### getMaxLengthArray

          NumFacet getMaxLengthArray​(int i)

      Gets ith "maxLength" element

    - #### sizeOfMaxLengthArray

          int sizeOfMaxLengthArray()

      Returns number of "maxLength" element

    - #### setMaxLengthArray

          void setMaxLengthArray​(NumFacet[] maxLengthArray)

      Sets array of all "maxLength" element

    - #### setMaxLengthArray

          void setMaxLengthArray​(int i,
                                 NumFacet maxLength)

      Sets ith "maxLength" element

    - #### insertNewMaxLength

          NumFacet insertNewMaxLength​(int i)

      Inserts and returns a new empty value (as xml) as the ith "maxLength" element

    - #### addNewMaxLength

          NumFacet addNewMaxLength()

      Appends and returns a new empty value (as xml) as the last "maxLength" element

    - #### removeMaxLength

          void removeMaxLength​(int i)

      Removes the ith "maxLength" element

    - #### getEnumerationList

          List<NoFixedFacet> getEnumerationList()

      Gets a List of "enumeration" elements

    - #### getEnumerationArray

          NoFixedFacet[] getEnumerationArray()

      Gets array of all "enumeration" elements

    - #### getEnumerationArray

          NoFixedFacet getEnumerationArray​(int i)

      Gets ith "enumeration" element

    - #### sizeOfEnumerationArray

          int sizeOfEnumerationArray()

      Returns number of "enumeration" element

    - #### setEnumerationArray

          void setEnumerationArray​(NoFixedFacet[] enumerationArray)

      Sets array of all "enumeration" element

    - #### setEnumerationArray

          void setEnumerationArray​(int i,
                                   NoFixedFacet enumeration)

      Sets ith "enumeration" element

    - #### insertNewEnumeration

          NoFixedFacet insertNewEnumeration​(int i)

      Inserts and returns a new empty value (as xml) as the ith "enumeration" element

    - #### addNewEnumeration

          NoFixedFacet addNewEnumeration()

      Appends and returns a new empty value (as xml) as the last "enumeration" element

    - #### removeEnumeration

          void removeEnumeration​(int i)

      Removes the ith "enumeration" element

    - #### getWhiteSpaceList

          List<WhiteSpaceDocument.WhiteSpace> getWhiteSpaceList()

      Gets a List of "whiteSpace" elements

    - #### getWhiteSpaceArray

          WhiteSpaceDocument.WhiteSpace[] getWhiteSpaceArray()

      Gets array of all "whiteSpace" elements

    - #### getWhiteSpaceArray

          WhiteSpaceDocument.WhiteSpace getWhiteSpaceArray​(int i)

      Gets ith "whiteSpace" element

    - #### sizeOfWhiteSpaceArray

          int sizeOfWhiteSpaceArray()

      Returns number of "whiteSpace" element

    - #### setWhiteSpaceArray

          void setWhiteSpaceArray​(WhiteSpaceDocument.WhiteSpace[] whiteSpaceArray)

      Sets array of all "whiteSpace" element

    - #### setWhiteSpaceArray

          void setWhiteSpaceArray​(int i,
                                  WhiteSpaceDocument.WhiteSpace whiteSpace)

      Sets ith "whiteSpace" element

    - #### insertNewWhiteSpace

          WhiteSpaceDocument.WhiteSpace insertNewWhiteSpace​(int i)

      Inserts and returns a new empty value (as xml) as the ith "whiteSpace" element

    - #### addNewWhiteSpace

          WhiteSpaceDocument.WhiteSpace addNewWhiteSpace()

      Appends and returns a new empty value (as xml) as the last "whiteSpace" element

    - #### removeWhiteSpace

          void removeWhiteSpace​(int i)

      Removes the ith "whiteSpace" element

    - #### getPatternList

          List<PatternDocument.Pattern> getPatternList()

      Gets a List of "pattern" elements

    - #### getPatternArray

          PatternDocument.Pattern[] getPatternArray()

      Gets array of all "pattern" elements

    - #### getPatternArray

          PatternDocument.Pattern getPatternArray​(int i)

      Gets ith "pattern" element

    - #### sizeOfPatternArray

          int sizeOfPatternArray()

      Returns number of "pattern" element

    - #### setPatternArray

          void setPatternArray​(PatternDocument.Pattern[] patternArray)

      Sets array of all "pattern" element

    - #### setPatternArray

          void setPatternArray​(int i,
                               PatternDocument.Pattern pattern)

      Sets ith "pattern" element

    - #### insertNewPattern

          PatternDocument.Pattern insertNewPattern​(int i)

      Inserts and returns a new empty value (as xml) as the ith "pattern" element

    - #### addNewPattern

          PatternDocument.Pattern addNewPattern()

      Appends and returns a new empty value (as xml) as the last "pattern" element

    - #### removePattern

          void removePattern​(int i)

      Removes the ith "pattern" element

    - #### getBase

          QName getBase()

      Gets the "base" attribute

    - #### xgetBase

          XmlQName xgetBase()

      Gets (as xml) the "base" attribute

    - #### isSetBase

          boolean isSetBase()

      True if has "base" attribute

    - #### setBase

          void setBase​(QName base)

      Sets the "base" attribute

    - #### xsetBase

          void xsetBase​(XmlQName base)

      Sets (as xml) the "base" attribute

    - #### unsetBase

          void unsetBase()

      Unsets the "base" attribute